Bug 464046 - unable to preview with lilypond
unable to preview with lilypond
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rosegarden4 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Callum Lerwick
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 22:16 EDT by Tim Taiwanese Liim
Modified: 2009-03-18 15:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.7.3-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-07 03:32:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Taiwanese Liim 2008-09-25 22:16:37 EDT
Description of problem:
    When attempting to preview with Lilypond, got an shell 
    script error:
        /usr/bin/rosegarden-lilypondview: line 327: [: true: unary operator expected

    The offending line is 
        if [ "true" == `send_dcop wasCancelled` ]; then
    which should be
        if [ "true" == "`send_dcop wasCancelled`" ]; then
    ie. need to add "" around `xxx` in case the result is empty.


Version-Release number of selected component (if applicable):
    rosegarden4-1.6.1-2.fc9.i386

How reproducible:
    always

Steps to Reproduce:
    1. start rosegarden in a terminal, in KDE.
    2. menu File --> Preview with Lilypond, click on "OK".
  
Actual results:
    - In the terminal where rosegarden started, saw these msgs:
        rosegarden-lilypondview: No printing program found
        object not accessible
        LilyPond version is 2.11.57, file version is 2.12.0
        /usr/bin/rosegarden-lilypondview: line 267: /dev/ptya0: No such file or directory
        object not accessible
        call failed
        /usr/bin/rosegarden-lilypondview: line 327: [: true: unary operator expected

        LilyPond failed
        call failed
        call failed
    - no printout produced.

Expected results:
    - no error msg in the terminal.
    - produce a music sheet from Lilypond.

Additional info:
Comment 1 Tim Taiwanese Liim 2008-09-25 22:37:28 EDT
Also regarding the error msg:
    /usr/bin/rosegarden-lilypondview: line 267: /dev/ptya0: No such 
    file or directory

In rosegarden-lilypondview:261 we have
    indev=/dev/pts/0
    if [ ! -c "$indev" ]; then indev=/dev/ptya0; fi

but on my F9 system we have only /dev/pts/1..9; no 0 defined, nor
/dev/ptya0.  What should I replace /dev/pts/0 with?
Comment 2 Orcan Ogetbil 2009-03-07 03:32:01 EST
Thanks for the extensive report. Both problems are fixed with rosegarden4-1.7.3-2.fc11. I will also submit this update for F-10.
Closing the bug. 


Note that you had to use /dev/pts/1
Comment 3 Fedora Update System 2009-03-07 18:46:23 EST
rosegarden4-1.7.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rosegarden4-1.7.3-3.fc10
Comment 4 Tim Taiwanese Liim 2009-03-08 01:33:07 EST
Orcan,
Thanks!  Glad I can help.
Comment 5 Fedora Update System 2009-03-18 15:06:59 EDT
rosegarden4-1.7.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.